Name:		bespin
Version:	0.1
Release:	0.2.20100909svn1228%{?dist}
Summary:	A style for Qt/KDE4/KDM
Group:		User Interface/Desktops
License:	GPLv2  and LGPLv2 and BSD
URL:		https://cloudcity.svn.sourceforge.net/svnroot/cloudcity/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 1228 https://cloudcity.svn.sourceforge.net/svnroot/cloudcity bespin-0.1-svn1228
#  tar -c bespin-0.1-svn1228 | bzip2 --best -c > bespin-0.1-svn1228.tar.bz2
Source0:	%{name}-%{version}-svn1228.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	kdebase-workspace-devel >= 4.1.96

Requires:	qt4-theme-bespin = %{version}-%{release}
Requires:	bespin-kwin-theme = %{version}-%{release}

%description 
A Qt/KDE4/KDM theme.

%prep
%setup -q -n bespin-0.1-svn1228

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4}  -DENABLE_ARGB=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}
# Used for disabling XBar on any app the user does not want.
cp macmenu %{buildroot}/usr/bin
# The bespin KDM4 theme
mkdir -p %{buildroot}/usr/share/kde4/apps/kdm/themes
cp -r kdm %{buildroot}/usr/share/kde4/apps/kdm/themes/bespin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%package -n bespin-common
Summary:	Bespin is a native style for Qt/KDE4
Group:		User Interface/Desktops
License:	LGPLv2
%description -n bespin-common
Common package for the Qt/KDE4 bespin theme.

%files -n bespin-common
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_kde4_bindir}/bespin

%package -n qt4-theme-bespin
Summary:	Bespin theme for Qt4
Group:		User Interface/Desktops
Requires:	%{name}-common = %{version}-%{release}
License:	LGPLv2
%description -n qt4-theme-bespin
A Qt4 theme.

%files -n qt4-theme-bespin
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_kde4_libdir}/kde4/kstyle_bespin_config.so
%{_kde4_libdir}/qt4/plugins/styles/libbespin.so
%{_kde4_datadir}/kde4/apps/kstyle/themes/bespin.themerc

%package -n bespin-kwin-theme
Summary:	Bespin KWin theme
Group:		User Interface/Desktops
License:	BSD
Requires:	%{name}-common = %{version}-%{release}
%description -n bespin-kwin-theme
A KWin theme.

%files -n bespin-kwin-theme
%defattr(-,root,root,-)
%doc README kwin/COPYING.BSD
%{_kde4_libdir}/kde4/kwin3_bespin.so
%{_kde4_libdir}/kde4/kwin_bespin_config.so
%{_kde4_libdir}/libQtBespin.so
%{_kde4_datadir}/kde4/apps/kwin/bespin.desktop

%package -n kde-plasma-xbar
Summary:	A global menu for KDE4
Group:		User Interface/Desktops
License:	LGPLv2
%description -n kde-plasma-xbar
A mac like menu for KDE4

%files -n kde-plasma-xbar
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_kde4_bindir}/macmenu
%{_kde4_libdir}/kde4/plasma_applet_xbar.so
%{_kde4_datadir}/kde4/services/plasma-applet-xbar.desktop

%package -n bespin-kdm-theme
Summary:	Bespin KDM theme
License:	GPLv2
Group:		User Interface/Desktops
BuildArch:	noarch
%description -n bespin-kdm-theme
A KDM theme

%files -n bespin-kdm-theme
%defattr(-,root,root,-)
%doc README COPYING
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/background.jpg
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/logo.png
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/session.png
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/session-hover.png
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/window.png
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/system.png
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/system-hover.png
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/bespin.xml
%{_kde4_datadir}/kde4/apps/kdm/themes/bespin/KdmGreeterTheme.desktop

%changelog
* Mon Sep 20 2010 Adam Miller <maxamillion@fedoraproject.org> - 0.1-0.2.20100909svn1228
- Updated to revision 1228
- added file listing for libQtBespin.so
- added Group to all sub packages, fedpkg doesn't allow import otherwise

* Mon Sep 28 2009 Wesley Hearn <gr33nn1nj4@gr33nn1nj4.com> - 0.1-0.2.20090928svn668
- Updated to revision 668
- Enable support for ARGB windows (expermintal - not turned on by default) 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.2.20090627svn500
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Wesley Hearn <gr33nn1nj4@gr33nn1nj4.com> 0.1-0.1.20090627svn500
- Updated to revision 500

* Thu Jun 18 2009 Wesley Hearn <gr33nn1nj4@gr33nn1nj4.com> 0.1-0.1.20090618svn485
- Update to include COPYING.BSD

* Mon Jun 15 2009 Wesley Hearn <gr33nn1nj4@gr33nn1nj4.com> 0.1-0.1.20090615svn483
- Initial SPEC
